package cc2_medicaments;

public class Medicament {
	
	private String nomMolecule = "inconnu"; 
	private double tauxRemboursement; // entre 0 et 100%
	private int dureeConservation; // en mois, doit être > 0
	
	public Medicament(String nomMolecule, double tauxRemboursement, 
			int dureeConservation) {
		this.setNomMolecule(nomMolecule);
		this.setTauxRemboursement(tauxRemboursement);
		this.setDureeConservation(dureeConservation);
	}

	public String getNomMolecule() {
		return nomMolecule;
	}
	
	public void setNomMolecule(String nomMolecule) {
		this.nomMolecule = nomMolecule;
	}
	
	public double getTauxRemboursement() {
		return tauxRemboursement;
	}

	public void setTauxRemboursement(double nouveauTaux) {
		if (nouveauTaux >=0 && nouveauTaux <=100) {
			this.tauxRemboursement = nouveauTaux;
		}		
		else {
			System.out.println("La nouvelle valeur de taux qui est de "
					+ nouveauTaux 
					+ " n'est pas comprise entre 0 et 100 "
					+ "la valeur ne sera pas changée ");
		}
	}

	public int getDureeConservation() {
		return dureeConservation;
	}

	public void setDureeConservation(int nouvelleDuree) {
		if (nouvelleDuree > 0)
			{ this.dureeConservation = nouvelleDuree;}
		else {
				System.out.println("La nouvelle valeur de durée qui est de "
						+ nouvelleDuree 
						+ " n'est pas strictement positive "
						+ "la valeur ne sera pas changée ");
			}
	}

	
	public String toString() {
		return "molécule : "+this.nomMolecule+
				" - taux de remboursement : "+this.tauxRemboursement+
				" - durée de conservation : "+this.dureeConservation+" mois\n";
	}
	
	public static void main(String[] argv) {
		Medicament m = new Medicament("Paracétamol", 65, 24);
		m.setTauxRemboursement(100);
		
		// non demandé, pour tester les méthodes
		System.out.println(m);
		m.setTauxRemboursement(-12);	
		System.out.println("nom molécule : "+m.getNomMolecule());
		System.out.println(m);
		m.setTauxRemboursement(90);
		System.out.println(m);
	}

}
